### Hierarchy

- DataAnnotation

### Implements

- Annotation

## Index

### Constructors

- constructor

### Properties

- name
- type
- value
- BACKGROUND_COLOR
- BOLD_TEXT
- FOREGROUND_COLOR
- IMAGE_NAME
- IMAGE_PLACEMENT
- ITALIC_TEXT
- OVERRIDE_TEXT
- PLACEMENT_CENTER
- PLACEMENT_LEFT
- PLACEMENT_RIGHT
- PLACEMENT_STRETCH_UNDER
- PLACEMENT_UNDER
- TIP_TEXT
- TRUE_VALUE
- UNDERLINE

### Accessors

- backgroundColor
- foregroundColor
- isBackgroundColor
- isBoldText
- isForegroundColor
- isImageName
- isImagePlacement
- isItalicText
- isOverrideText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isTipText
- isUnderlineText

### Methods

- equals
- toJSON
- backgroundColor
- foregroundColor
- imageName
- imagePlacement
- isBoldText
- isItalicText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isUnderlineText
- overrideText
- tipText

## Constructors

### constructor

- new DataAnnotation(name: string, value: string, type: string): DataAnnotation

- - Defined in models/DataAnnotation.ts:109

  #### Parameters

  - ##### name: string

  - ##### value: string

  - ##### type: string

  #### Returns DataAnnotation

## Properties

### name

name: string

Implementation of Annotation.name

- Defined in models/DataAnnotation.ts:111

### type

type: string

Implementation of Annotation.type

- Defined in models/DataAnnotation.ts:111

### value

value: string

Implementation of Annotation.value

- Defined in models/DataAnnotation.ts:111

### Static Private BACKGROUND_COLOR

BACKGROUND_COLOR: string = "BGND_COLOR"

- Defined in models/DataAnnotation.ts:6

### Static Private BOLD_TEXT

BOLD_TEXT: string = "BOLD_TEXT"

- Defined in models/DataAnnotation.ts:5

### Static Private FOREGROUND_COLOR

FOREGROUND_COLOR: string = "FGND_COLOR"

- Defined in models/DataAnnotation.ts:7

### Static Private IMAGE_NAME

IMAGE_NAME: string = "IMAGE_NAME"

- Defined in models/DataAnnotation.ts:8

### Static Private IMAGE_PLACEMENT

IMAGE_PLACEMENT: string = "IMAGE_PLACEMENT"

- Defined in models/DataAnnotation.ts:9

### Static Private ITALIC_TEXT

ITALIC_TEXT: string = "ITALIC_TEXT"

- Defined in models/DataAnnotation.ts:10

### Static Private OVERRIDE_TEXT

OVERRIDE_TEXT: string = "OVRD_TEXT"

- Defined in models/DataAnnotation.ts:11

### Static Private PLACEMENT_CENTER

PLACEMENT_CENTER: string = "CENTER"

- Defined in models/DataAnnotation.ts:15

### Static Private PLACEMENT_LEFT

PLACEMENT_LEFT: string = "LEFT"

- Defined in models/DataAnnotation.ts:16

### Static Private PLACEMENT_RIGHT

PLACEMENT_RIGHT: string = "RIGHT"

- Defined in models/DataAnnotation.ts:17

### Static Private PLACEMENT_STRETCH_UNDER

PLACEMENT_STRETCH_UNDER: string = "STRETCH_UNDER"

- Defined in models/DataAnnotation.ts:19

### Static Private PLACEMENT_UNDER

PLACEMENT_UNDER: string = "UNDER"

- Defined in models/DataAnnotation.ts:18

### Static Private TIP_TEXT

TIP_TEXT: string = "TIP_TEXT"

- Defined in models/DataAnnotation.ts:12

### Static Private TRUE_VALUE

TRUE_VALUE: string = "1"

- Defined in models/DataAnnotation.ts:14

### Static Private UNDERLINE

UNDERLINE: string = "UNDERLINE"

- Defined in models/DataAnnotation.ts:13

## Accessors

### backgroundColor

- get backgroundColor(): string

- - Defined in models/DataAnnotation.ts:113

  #### Returns string

### foregroundColor

- get foregroundColor(): string

- - Defined in models/DataAnnotation.ts:117

  #### Returns string

### isBackgroundColor

- get isBackgroundColor(): boolean

- - Defined in models/DataAnnotation.ts:125

  #### Returns boolean

### isBoldText

- get isBoldText(): boolean

- - Defined in models/DataAnnotation.ts:129

  #### Returns boolean

### isForegroundColor

- get isForegroundColor(): boolean

- - Defined in models/DataAnnotation.ts:133

  #### Returns boolean

### isImageName

- get isImageName(): boolean

- - Defined in models/DataAnnotation.ts:137

  #### Returns boolean

### isImagePlacement

- get isImagePlacement(): boolean

- - Defined in models/DataAnnotation.ts:141

  #### Returns boolean

### isItalicText

- get isItalicText(): boolean

- - Defined in models/DataAnnotation.ts:145

  #### Returns boolean

### isOverrideText

- get isOverrideText(): boolean

- - Defined in models/DataAnnotation.ts:149

  #### Returns boolean

### isPlacementCenter

- get isPlacementCenter(): boolean

- - Defined in models/DataAnnotation.ts:153

  #### Returns boolean

### isPlacementLeft

- get isPlacementLeft(): boolean

- - Defined in models/DataAnnotation.ts:157

  #### Returns boolean

### isPlacementRight

- get isPlacementRight(): boolean

- - Defined in models/DataAnnotation.ts:161

  #### Returns boolean

### isPlacementStretchUnder

- get isPlacementStretchUnder(): boolean

- - Defined in models/DataAnnotation.ts:165

  #### Returns boolean

### isPlacementUnder

- get isPlacementUnder(): boolean

- - Defined in models/DataAnnotation.ts:169

  #### Returns boolean

### isTipText

- get isTipText(): boolean

- - Defined in models/DataAnnotation.ts:173

  #### Returns boolean

### isUnderlineText

- get isUnderlineText(): boolean

- - Defined in models/DataAnnotation.ts:177

  #### Returns boolean

## Methods

### equals

- equals(dataAnno: Annotation): boolean

- - Defined in models/DataAnnotation.ts:121

  #### Parameters

  - ##### dataAnno: Annotation

  #### Returns boolean

### toJSON

- toJSON(): Annotation

- - Defined in models/DataAnnotation.ts:181

  #### Returns Annotation

### Static backgroundColor

- backgroundColor(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:21

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

### Static foregroundColor

- foregroundColor(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:28

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

### Static imageName

- imageName(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:35

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

### Static imagePlacement

- imagePlacement(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:42

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

### Static isBoldText

- isBoldText(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:49

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isItalicText

- isItalicText(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:55

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isPlacementCenter

- isPlacementCenter(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:61

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isPlacementLeft

- isPlacementLeft(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:67

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isPlacementRight

- isPlacementRight(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:73

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isPlacementStretchUnder

- isPlacementStretchUnder(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:79

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isPlacementUnder

- isPlacementUnder(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:85

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static isUnderlineText

- isUnderlineText(annotations: DataAnnotation[]): boolean

- - Defined in models/DataAnnotation.ts:91

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns boolean

### Static overrideText

- overrideText(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:97

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

### Static tipText

- tipText(annotations: DataAnnotation[]): string

- - Defined in models/DataAnnotation.ts:104

  #### Parameters

  - ##### annotations: DataAnnotation[]

  #### Returns string

Generated using TypeDoc